/*************************************************************************
 *
 * Siemens C5 
 *
 * Header fr C-Teil
 *
 * (c) Thomas Mller, 2001
 *
 * $RCSfile: c5_c.h $
 * $Revision: 1.4 $
 * $Date: 2001/03/22 22:47:49 $
 */

void bearbeite_addr(int taste);
int  bin2bcd(int val);
void fuelle_txbuffer(void);
int  get_taste(int nr);
void gib_modus_aus(void);
void i2c_ausgabe(void);
void i2c_ausgabe_c(void);
void i2c_ausgabe_vorb(int anz);
void lese_ad(char ch);
void lese_ad_vorb(char ch);
void loesche_ausbuffer(void);
void peek(void);
void phn(unsigned char pos, int val);
void phn2(unsigned char pos, int val);
void poke(void);
void sende_zum_bfbus(void);
void sendmsg(void);
void showaddr(void);
void showcursor(void);
void showtemp(void);
void showtime(void);
void taste_bearbeiten(int taste);
void warte_auf_sender_fertig(void);
void bestaetigung(void);

#define HOCH_TASTE     0x3f
#define HOERER_TASTE   0x3e

#define LINKS_TASTE    0x4b
#define RUNTER_TASTE   0x3d
#define RECHTS_TASTE   0x21

#define C_TASTE        0x3a
#define PUNKT_TASTE    0x3b
#define DPLPUNKT_TASTE 0x3c

#define STERN_TASTE    0x2a
#define RAUTE_TASTE    0x23

/* Modi */

#define M_VOLUME   0
#define M_SQUELCH  1
#define M_TUNESTEP 2
#define M_WRITEMEM 3
#define M_FREQ     4
#define M_TXPOWER  5
#define M_RELSHIFT 6
#define M_LIGHT    7
#define M_MEMVFO   8
#define M_UBATT    9
#define M_CPRIGHT  10
#define M_MEMNAME  11
#define M_TIME     12
#define M_MONITOR  13

#define M_AUS      255
