; asmsyntax=tasm
;
; $RCSfile: c5_asm.asm $
; $Revision: 1.6 $
; $Date: 2001/03/22 22:47:49 $
;
.286

; -----------------------------------------------
; externe Funktionen
; -----------------------------------------------

; extrn pascal phn:far
; extrn pascal phn2:far
; extrn pascal getTaste:far
; extrn pascal showcursor:far
; extrn pascal setcursor:far
; extrn pascal showaddr:far
extrn pascal bestaetigung:far
extrn pascal loesche_ausbuffer:far
extrn pascal hauptschleife:far

; -----------------------------------------------
; exportierte Funktionen
; -----------------------------------------------

public POKE
public PEEK
public Sende_zum_BFBus
public I2C_AUSGABE

; -----------------------------------------------
; exportierte Variablen
; -----------------------------------------------

public BUF1cc7h
public stellen 
public AusBuffer
public TxBuffer
public MsgBuffer
public EmpfBuffer1
public TelegrNummer1
public EmpfBuffer2
public TelegrNummer2
public EmpfBuffer3
public TelegrNummer3
public CRS_POS
public CRS_BUF
public HOUR
public MIN
public SEC
public day
public mon
public year
public HSEC
public HSEC_ALT
public ADDR_SEG
public ADDR_OFF
public ADDR_VAL
public ADDR_VAL_NEW
public ADDR_CH
public BFBusMode
public STERN
public modus
public ausgeben
public volume
public squelch
public tunestep
public temperatur

public I2C_CONTROL
public I2C_RICHTUNG
public I2C_BUFFER_PT
public I2C_BUFFER_IN
public I2C_BUFFER_ANZ
public I2C_BUFFER_OUT
public AD_WANDLER_CTRLBYTE

public IO_E002
public IO_E003
public PT

; -----------------------------------------------

DATA segment byte public
    
bf_buf struc
    t_sender db ?
    t_empf   db ?
    t_anzahl db ?
    t_data   db 26 dup(?)
bf_buf ends

    org 1000h
WATCH dw ?
TIC dw ?
SEC db ?
MIN db ?
HOUR db ?
day db ?
mon db ?
year db ?
HSEC db ?
HSEC_ALT db ?
CRS_POS db ?
CRS_BUF db ?
ADDR_SEG db ?
ADDR_OFF dw ?
ADDR_VAL db ?
ADDR_VAL_NEW db ?
ADDR_CH db ?
MsgBuffer bf_buf ?
STERN db ?
modus db ?
ausgeben db ?
volume db ?
squelch db ?
tunestep db ?
temperatur dw ?

    org 1c0eh
I2C_Control2 db	?
I2C_Control db ?
byte_FFFF4000_1C10 db ?

    org 1cc7h
BUF1cc7h db ?

AusBuffer db 10h dup (?)

    org 2324h
stellen db ?    ; ds:2324h

    org 236eh
CtFrameErr db ?
CtOverrunErr db ?

    org 2370h
byte_FFFF4000_2370 db ?

    org 247eh
BFBusMode           db ?
BFBusModeBits       db ?
PtRxBuffer          db ?
PtTxBuffer          db ?
Counter             db ?
RxBuffer            bf_buf ?
                    db ?
EmpfBuffer1         bf_buf ?
TelegrNummer1       db ?
EmpfBuffer2         bf_buf ?
TelegrNummer2       db ?
EmpfBuffer3         bf_buf ?
TelegrNummer3       db ?  ; 24FAh

    org 2519h
TxBuffer            bf_buf ?

    org 3d43h
I2C_Buffer_Anz      db ?
                    db ?
I2C_BufferIn_Anz    db ?
byte_FFFF4000_3D46  db ?
I2C_Buffer_Pt       db ?

    org 3d4bh
I2C_Buffer_In       db ?
    org 3d8bh
I2C_Buffer_Out      db 0Ah dup(?)
    org 3dd3h
AD_Wandler_CtrlByte db ?
    org 3dd6h
I2C_Wert db ?
I2C_Error db ?
I2C_Richtung db	?
; ---------------------------------------------

    org 0e000h
IO_E000             db ?
IO_E001             db ?
IO_E002             db ?
IO_E003             db ?
                    db ?
                    db ?
IO_E006             db ?
                    db ?
IO_E008             dw ?
                    db ?
                    db ?
                    db ?
                    db ?
IO_E00E             db ?
                    db ?
                    db ?
                    db ?
                    db ?
                    db ?
                    db ?
                    db ?
                    db ?
                    db ?
                    db ?
                    db ?
IO_E01A             db ?

; ---------------------------------------------
    ; ------------------------------------------
    ; Ports
    ; ------------------------------------------
    org 0ff00h                  ; THE START OF THE SPECIAL FUNCTION REG
P0      DB      ?               ; PORT 0
PM0	DB	?		; PORT MODE 0
PMC0	DB	?		; PORT MODE CONTROL 0 AT XXF02H
        ORG 0FF08H
P1	DB	?		; PORT 1
PM1	DB	?		; PORT MODE 1
PMC1	DB	?		; PORT MODE CONTROL 1 AT XXF0AH
	ORG 0FF10H
P2	DB	?		; PORT 2
PM2	DB	?		; PORT MODE 2
PMC2	DB	?		; PORT MODE CONTROL 2 AT XXF12H
	ORG 0FF38H		; 
PT	DB	?		; PORT T AT XXF38H
	ORG 0FF3BH		; 
PMT	DB	?		; PORT MODE T AT XXF3BH
    ; ------------------------------------------
    ; Interrupt
    ; ------------------------------------------
	ORG 0FF40H	
INTM	DB	?		; INTERRUPT MODE AT XXF40H
	ORG 0FF44H		;
EMS0	DB	?		; EXTERNAL INTERRUPT MACRO SERVICE 0 AT XXF44H
EMS1	DB	?		; EXTERNAL INTERRUPT MACRO SERVICE 1 AT XXF45H
EMS2	DB	?		; EXTERNAL INTERRUPT MACRO SERVICE 2 AT XXF46H
	ORG 0FF4CH
EXIC0	DB	?		; EXTERNAL I/O REQUEST CONTROL 0 AT XXF4CH
EXIC1	DB	?		; EXTERNAL I/O REQUEST CONTROL 1 AT XXF4DH
EXIC2	DB	?		; EXTERNAL I/O REQUEST CONTROL 2 AT XXF4EH
    ; ------------------------------------------
    ; Serial 0
    ; ------------------------------------------
	ORG 0FF60H	
RxB0	DB	?		; RECIEVE BUFFER 0 AT XXF60H
	ORG 0FF62H		; TO GET TO EVEN ADDRESS FOR NEXT REG
TxB0	DB	?		; TRANSMIT BUFFER 0 AT XXF62H
	ORG 0FF65H		; TO GET TO THE LOCATION OF SRMS0
SRMS0	DB	?		; SERIAL RECIEVE MACRO SERVICE 0 AT XXF65H
STMS0	DB	?		; SERIAL TRANSMIT MACRO SERIVCE 0 AT XXF66H
	ORG 0FF68H		; TO GET TO THE LOCATION OF SCM0
SCM0	DB	?		; SERIAL COMMUNICATION MODE 0 AT XXF68H
SCC0	DB	?		; SERIAL COMMUNICATION CONTROL 0 AT XXF69H
BRG0	DB	?		; BAUD RATE GENERATOR REGISTER 0 AT XXF6AH
SCE0	DB	?		; SERIAL COMMUNICATION ERROR 0 AT XXF6BH
SEIC0	DB	?		; SERIAL ERROR I/O REQUEST CONTROL 0 AT XXF6CH
SRIC0	DB	?		; SER. REC. I/O REQUEST CONTROL 0 AT XXF6DH
STIC0	DB	?		; SER. TRANSMIT I/O REQUEST CONTROL 0 AT XXF6EH
    ; ------------------------------------------
    ; Serial 1
    ; ------------------------------------------
	ORG 0FF70H
RxB1	DB	?		; RECEIVE BUFFER 1 AT XXF70H
	ORG 0FF72H
TxB1	DB	?		; TRANSMIT BUFFER 1 AT XXF72H
	ORG 0FF75H
SRMS1	DB	?		; SERIAL RECEIVE MACRO SERVICE 1 AT XXF75H
STMS1	DB	?		; SERIAL TRANSMIT MACRO SERVICE 1 AT XXF76H
	ORG 0FF78H
SCM1	DB	?		; SERIAL COMMUNICATION MODE 1 AT XXF78H
SCC1	DB	?		; SERIAL COMMUNICATION CONTROL 1 AT XXF79H
BRG1	DB	?		; BAUD RATE GENERATOR REG 1 AT XXF7AH
SCE1	DB	?		; SERIAL COMMUNICATION ERROR 0 AT XXF7BH
SEIC1	DB	?		; SERIAL ERROR I/O REQUEST CONTROL 1 AT XXF7CH
SRIC1	DB	?		; SERIAL RECEIVE I/O REQUEST CONTROL 1 AT XXF7DH
STIC1	DB	?		; SERIAL TRANSMIT I/O REQUEST CONTROL 1 AT XXF7EH
    ; ------------------------------------------
    ; Timer
    ; ------------------------------------------
	ORG 0FF80H
TM0	DW	?		; TIMER REGISTER 0 AT XXF80H
MD0	DW	?		; MODULO REGISTER 0 AT XXF82H
	ORG 0FF88H
TM1	DW	?		; TIMER REGISTER 1 AT XXF88H
MD1	DW	?		; MODULO REGISTER 1 AT XXF8AH
	ORG 0FF90H
TMC0	DB	?		; TIMER CONTROL 0 AT XXF90H
TMC1	DB	?		; TIMER CONTROL 1 AT XXF91H
	ORG 0FF94H
TMMS0	DB	?		; TIMER MACRO SERVICE 0 AT XXF94H
TMMS1	DB	?		; TIMER MACRO SERVICE 1 AT XXF95H
TMMS2	DB	?		; TIMER MACRO SERVICE 2 AT XXF96H
	ORG 0FF9CH
TMIC0	DB	?		; TIMER I/O REQUEST CONTROL 0 AT XXF9CH
TMIC1	DB	?		; TIMER I/O REQUEST CONTROL 1 AT XXF9DH
TMIC2	DB	?		; TIMER I/O REQUEST CONTROL 2 AT XXF9EH
    ; ------------------------------------------
    ; DMA controller
    ; ------------------------------------------
	ORG 0FFA0H
DMAC0	DB	?		; DMA CONTROL 0 AT XXFA0H
DMAM0	DB	?		; DMA MODE 0 AT XXFA1H
DMAC1	DB	?		; DMA CONTROL 1 AT XXFA2H
DMAM1	DB	?		; DMA MODE CONTROL AT XXFA3H
	ORG 0FFACH
DIC0	DB	?		; DMA I/O REQUEST CONTROL 0 AT XXFACH
DIC1	DB	?		; DMA I/O REQUEST CONTROL 1 AT XXFADH
    ; ------------------------------------------
    ; System control
    ; ------------------------------------------
	ORG 0FFE0H
STBC	DB	?		; STANDBY CONTROL AT XXFE0H
RFM	DB	?		; REFRESH MODE AT XXFE1H
	ORG 0FFE8H
WTC	DW	?		; WAIT CONTROL AT XXFE8H
	ORG 0FFE8H		;  Overlap for low/high parts
WTCL	DB	?		; WAIT CONTROL LOW AT XXFE8H
WTCH	DB	?		; WAIT CONTROL HIGH AT XXFE9H
	ORG 0FFEAH		; 
FLAG	DB	?		; USER FLAG (PSW LOW) AT XXFEAH
PRC	DB	?		; PROCESSOR CONTROL AT XXFEBH
TBIC	DB	?		; TIME BASE I/O REQUEST CONTROL AT XXFECH
	ORG 0FFFCH		; 
ISPR    db      ?
	ORG 0FFFFH		; 
IDB     db      ?
DATA ends

;

D257 segment byte public '' use16
assume cs:D257
assume es:nothing, ss:nothing, ds:DATA

I2C_AUSGABE proc far
push	bp
mov	bp, sp
test	IO_E003, 8
jz	I2C_AUSGABE_1
jmp	I2C_AUSGABE_Ende
; 

I2C_AUSGABE_1:
cmp	I2C_Buffer_Pt, 1
mov	al, I2C_Richtung
rcr	al, 1
jnb	I2C_AUSGABE_2
mov	al, I2C_Buffer_Pt
or	al, al
jz	I2C_AUSGABE_5
dec	al
mov	ah, 0
mov	bx, ax
mov	al, IO_E002
mov	I2C_Buffer_In[bx], al
jmp	short I2C_AUSGABE_5
; 

I2C_AUSGABE_2:		      ;	CODE XREF: I2C_AUSGABE+17j
mov	al, IO_E003
mov	cl, 4
and	al, cl
cmp	al, cl
jnz	I2C_AUSGABE_4
mov	al, I2C_Buffer_Pt
or	al, al
jz	I2C_AUSGABE_4
cmp	I2C_Wert, 1
jbe	I2C_AUSGABE_3
mov	I2C_Wert, 0
dec	al
mov	ah, 0
shl	ax, 1
mov	si, ax
mov	ax, word ptr I2C_Buffer_Out[si]
and	ax, 0FFh
or	ax, 600h
mov	word ptr IO_E002, ax
jmp	short I2C_AUSGABE_6
; 

I2C_AUSGABE_3:		      ;	CODE XREF: I2C_AUSGABE+46j
inc	I2C_Wert
mov	al, I2C_Buffer_Pt
dec	al
mov	ah, 0
shl	ax, 1
mov	si, ax
mov	ax, word ptr I2C_Buffer_Out[si]
mov	word ptr IO_E002, ax
pop	bp
retf
; 

I2C_AUSGABE_4:		      ;	CODE XREF: I2C_AUSGABE+38j I2C_AUSGABE+3Fj
mov	I2C_Wert, 0

I2C_AUSGABE_5:		      ;	CODE XREF: I2C_AUSGABE+1Ej I2C_AUSGABE+2Dj
mov	al, I2C_Buffer_Pt
cmp	I2C_Buffer_Anz,	al
jbe	I2C_AUSGABE_6
mov	ah, 0
shl	ax, 1
mov	si, ax
mov	ax, word ptr I2C_Buffer_Out[si]
mov	word ptr IO_E002, ax
inc	I2C_Buffer_Pt
pop	bp
retf
; 

I2C_AUSGABE_6:		      ;	CODE XREF: I2C_AUSGABE+62j I2C_AUSGABE+88j
and	I2C_Control, 0F7h
or	I2C_Control2, 8

I2C_AUSGABE_Ende:	      ;	CODE XREF: I2C_AUSGABE+Aj
pop	bp
retf
I2C_AUSGABE endp


D257 ends

;
segFD00 segment byte public '' use16
assume cs:segFD00

assume es:nothing, ss:nothing, ds:DATA

; ----------------------------------------
; Interrupt from Serial Error of Channel 1
; ----------------------------------------

INTSER1_V16:
    sti
    push ds
    push ax
    xor ax, ax
    mov ds, ax
    cmp BFBusMode, 5
    jz INTSER1_V16_End
    and TMC0, 7Fh       ; Timer control register 0 (TMC0)
                        ; Timer aus
    mov BFBusMode, 5
    ; 
    db 0Fh, 1Ah, 6, 0, 0E0h, 6    ; clr1 byte ptr ds:0E000h, 6
                                  ; EP200 Port
                                  ; Bit 6 BF_BUS
; 
    mov TM0, 92h        ; Timer register 0 (TM0)
    or TMC0, 80h        ; Timer control register 0 (TMC0)
                        ; Timer an
    and SCM1, 3Fh       ; Serial mode register 1 (SCM1)
                        ; 0011 1111
                        ; ||
                        ; |+-------- Reception disable
                        ; +--------- Transmission disable
    cli
; 
    db 0Fh, 1Ah, 6, 7Dh, 0FFh, 7     ; clr1 byte ptr ds:0FF7Dh, 7
                                     ; Serial reception interrupt request
                                     ; control register 1 (SRIC1)
; 
    sti
; 
    db 0Fh, 18h, 6, 7Bh, 0FFh, 1     ; test1 byte ptr ds:0FF7Bh, 1
                                     ; Serial error register 1 (SCE1)
                                     ; Framing error
; 
    jz near ptr noFramingError
    inc CtFrameErr
; 
noFramingError:
    db 0Fh, 18h, 6, 7Bh, 0FFh, 0     ; test1 byte ptr ds:0FF7Bh, 0
                                     ; Serial error register 1 (SCE1)
                                     ; Overrun error
; 
    jz INTSER1_V16_End
    inc CtOverrunErr

INTSER1_V16_End:
    mov al, RxB1       ; Receive buffer register 1 (RxB1)
    pop ax
    pop ds
; 
    db 0Fh, 92h        ; fint
; 
    iret
; 
    nop
    nop
    nop
    nop
    nop
; -------------------------------------------
; Interrupt from Serial Receiver of Channel 1
; -------------------------------------------

INTSR1_V17:
    push ds
    push ax
    push bx
    xor ax, ax
    mov ds, ax
    mov al, RxB1        ; Receive buffer register 1 (RxB1)
    sti 
    and TMC0, 7Fh       ; Timer control register 0 (TMC0)
                        ; 0111 1111
                        ; |
                        ; +--------- Timer 0 aus
    cmp TM0, 0         ; Timer register 0 (TM0)
    jnz near ptr byte_3D00_7E5
    jmp INTSR1_V17_Abbr
; 
byte_3D00_7E5:
    db 0Fh, 18h, 6, 7Fh, 24h, 3   ; test1 byte ptr ds:247Fh, 3
    jnz loc_3D00_834
    db 0Fh, 18h, 6, 7Fh, 24h, 0   ; test1 byte ptr ds:247Fh, 0
    jnz loc_3D00_81C
    cmp BFBusMode, 3
    jbe loc_3D00_7FF       ; Mode <= 3 ?
    jmp INTSR1_V17_Abbr       ; nein, Abbruch
; 

loc_3D00_7FF:
    cmp TelegrNummer1, 0
    jz loc_3D00_817
    cmp TelegrNummer2, 0
    jz loc_3D00_817
    cmp TelegrNummer3, 0
    jz loc_3D00_817
    jmp short INTSR1_V17_Abbr
; 
    nop 

loc_3D00_817:
    or BFBusModeBits, 1

loc_3D00_81C:
    xor bh, bh
    mov bl, PtRxBuffer
    cmp bl, 1Dh
    jnb INTSR1_V17_Abbr
    mov RxBuffer.t_sender[bx], al
    inc bl
    mov PtRxBuffer, bl
    jmp short loc_3D00_866
; 
    nop 

loc_3D00_834:
    xor bh, bh
    mov bl, PtTxBuffer
    cmp al, TxBuffer.t_sender[bx]
    jnz loc_3D00_879
    inc bl
    mov PtTxBuffer, bl
    cmp bl, TxBuffer.t_anzahl
    jnb loc_3D00_866
    mov BFBusMode, 0
    mov TM0, 2Ch        ; Timer register 0 (TM0)
    or TMC0, 80h        ; Timer control register 0 (TMC0)
                        ; 1000 0000
                        ; |
                        ; +--------- Timer an
    mov al, TxBuffer.t_sender[bx]
    mov TxB1, al       ; Transmit buffer register 1 (TxB1)
    jmp short INTSR1_V17_Ende
; 
    nop 

loc_3D00_866:
    mov BFBusMode, 0
    mov TM0, 3Eh        ; Timer register 0 (TM0)
    or TMC0, 80h        ; Timer control register 0 (TMC0)
                        ; 1000 0000
                        ; |
                        ; +--------- Timer an
    jmp short INTSR1_V17_Ende
; 
    nop 

loc_3D00_879:
    and BFBusModeBits, 7Fh
    or BFBusModeBits, 40h
    or byte_FFFF4000_1C10, 1

INTSR1_V17_Abbr:
    and BFBusModeBits, 0D6h
    mov BFBusMode, 5
    db 0Fh, 1Ah, 6, 0, 0E0h, 6    ; clr1 byte ptr ds:0E000h, 6
                                  ; EP200 Port
                                  ; Bit 6 BF_BUS
    mov TM0, 0A0h       ; Timer register 0 (TM0)
    or TMC0, 80h        ; Timer control register 0 (TMC0)
                        ; 1000 0000
                        ; |
                        ; +--------- Timer an
    and SCM1, 3Fh       ; Serial mode register 1 (SCM1)
                        ; 0011 1111
                        ; ||
                        ; |+-------- Reception disable
                        ; +--------- Transmission disable
    inc byte_FFFF4000_2370

INTSR1_V17_Ende:
    pop bx
    pop ax
    pop ds
    db 0Fh, 92h        ; fint
    iret 
    nop 
    nop 
    nop 
    nop 
    nop 
; ----------------------------------------------
; Interrupt from Serial Transmitter of Channel 1
; ----------------------------------------------

INTST1_V18:
    push ds
    push ax
    xor ax, ax
    mov ds, ax
    mov STIC1, 46h      ; Serial transmission interrupt request
                        ; control register 1 (STIC1)
    sti
    pop ax
    pop ds
    db 0Fh, 92h         ; fint
    iret
    nop
    nop
    nop
    nop
    nop
; ---------------------------
; Interrupt from Timer Unit 0
; ---------------------------

INTTU0_V28:
    push ds
    push es
    push ax
    push bx
    push cx
    push si
    push di
    xor ax, ax
    mov ds, ax
    sti 
    and TMC0, 7Fh       ; Timer control register 0 (TM0)
    mov bl, BFBusMode
    cmp bl, 6
    jbe INTTU0_V28_Jmp
    jmp INTTU0_V28_Abbr
; 

INTTU0_V28_Jmp:
    xor bh, bh
    shl bx, 1
    jmp cs:off_3D00_8F3[bx]
; 
off_3D00_8F3 dw offset BFBusMode_0
    dw offset BFBusMode_1
    dw offset BFBusMode_2
    dw offset BFBusMode_3
    dw offset BFBusMode_4
    dw offset BFBusMode_5
    dw offset BFBusMode_6
; 
;
; ################################
; #        Mode 0   #
; ################################
;

BFBusMode_0:
    mov BFBusMode, 1
    db 0Fh, 18h, 6, 7Fh, 24h, 3   ; test1 byte ptr ds:247Fh, 3
    jnz loc_3D00_987
    db 0Fh, 18h, 6, 7Fh, 24h, 0   ; test1 byte ptr ds:247Fh, 0
    jnz loc_3D00_919
    jmp near ptr byte_3D00_99D
; 

loc_3D00_919:
    mov al, RxBuffer.t_anzahl
    cmp al, PtRxBuffer
    jz loc_3D00_925
    jmp short near ptr byte_3D00_99D
; 
    nop 

loc_3D00_925:
    xor ax, ax
    mov ds, ax
    mov es, ax
    assume es:DATA
    mov si, offset RxBuffer
    xor bx, bx

loc_3D00_930:
    cmp TelegrNummer1[bx], 0
    jz loc_3D00_947
    add bx, 1Eh
    cmp bx, 3Ch
    jbe loc_3D00_930
    or BFBusModeBits, 4
    mov bx, 3Ch

loc_3D00_947:
    mov al, TelegrNummer1
    cmp al, TelegrNummer2
    jnb loc_3D00_953
    mov al, TelegrNummer2

loc_3D00_953:
    cmp al, TelegrNummer3
    jnb loc_3D00_95C
    mov al, TelegrNummer3

loc_3D00_95C:
    inc al
    mov TelegrNummer1[bx], al
    mov di, offset EmpfBuffer1
    add di, bx
    xor ch, ch
    mov cl, RxBuffer.t_anzahl
    cld 
    repe movsb
    and BFBusModeBits, 0FEh
    mov PtRxBuffer, 0
    or BFBusModeBits, 10h
    or byte_FFFF4000_1C10, 2
    jmp short near ptr byte_3D00_99D
; 
    nop 

loc_3D00_987:
    mov al, PtTxBuffer
    cmp al, TxBuffer.t_anzahl
    jz loc_3D00_993
    jmp loc_3D00_A9C
; 

loc_3D00_993:
    mov PtTxBuffer, 0
    and BFBusModeBits, 76h    ; 0111 0101

byte_3D00_99D:
    ; test1 SCE1, 7
    db 0Fh, 18h, 6, 7Bh, 0FFh, 7     ; test1 byte ptr ds:0FF7Bh, 7
                                     ; Serial error register 1 (SCE1)
    jnz loc_3D00_9A8
    jmp INTTU0_V28_Abbr
; 

loc_3D00_9A8:
    mov TM0, 1Fh       ; Timer register 0 (TM0)
    or TMC0, 80h       ; Timer control register 0 (TM0)
    jmp INTTU0_V28_End
; 
;
; ################################
; #        Mode 1   #
; ################################
;
BFBusMode_1:
    db 0Fh, 18h, 6, 7Bh, 0FFh, 7        ; test1 byte ptr ds:0FF7Bh, 7
                                        ; Serial error register 1 (SCE1)
    jnz loc_3D00_9C1
    jmp INTTU0_V28_Abbr
; 

loc_3D00_9C1:
    mov BFBusMode, 2
    db 0Fh, 18h, 6, 7Fh, 24h, 7   ; test1 byte ptr ds:247Fh, 7
    jnz loc_3D00_9D5
    or BFBusModeBits, 20h
    jmp short near ptr byte_3D00_99D
; 

loc_3D00_9D5:
    or BFBusModeBits, 8
    mov BFBusMode, 0
    mov TM0, 2Ch       ; Timer register 0 (TM0)
    or TMC0, 80h       ; Timer control register 0 (TM0)
    mov PtTxBuffer, 0
    mov al, TxBuffer.t_sender
    mov TxB1, al       ; Transmit buffer register 1 (TxB1)
    or SCM1, 0C0h       ; Serial mode register 1 (SCM1)
    jmp INTTU0_V28_End
; 
;
; ################################
; #        Mode 2   #
; ################################
;
BFBusMode_2:
    db 0Fh, 18h, 6, 7Bh, 0FFh, 7         ; test1 byte ptr ds:0FF7Bh, 7
                                         ; Serial error register 1 (SCE1)
    jnz loc_3D00_A08
    jmp INTTU0_V28_Abbr
; 

loc_3D00_A08:
    mov BFBusMode, 3
    and BFBusModeBits, 0DFh
    mov TM0, 1F6h       ; Timer register 0 (TM0)
    or TMC0, 80h       ; Timer control register 0 (TM0)
    jmp INTTU0_V28_End
; 
;
; ################################
; #        Mode 3   #
; ################################
;
BFBusMode_3:
    db 0Fh, 18h, 6, 7Bh, 0FFh, 7         ; test1 byte ptr ds:0FF7Bh, 7
                                         ; Serial error register 1 (SCE1)
    jnz loc_3D00_A2B
    jmp INTTU0_V28_Abbr
; 

loc_3D00_A2B:
    mov BFBusMode, 4
    jmp INTTU0_V28_End
; 
;
; ################################
; #        Mode 4   #
; ################################
;

BFBusMode_4:
    jmp short INTTU0_V28_Abbr
; 
    nop 
; 
;
; ################################
; #        Mode 5   #
; ################################
;
BFBusMode_5:
    db 0Fh, 1Ch, 6, 0, 0E0h, 6         ; set1 byte ptr ds:0E000h, 6
    db 0Fh, 18h, 6, 7Bh, 0FFh, 7       ; test1 byte ptr ds:0FF7Bh, 7
                                       ; Serial error register 1 (SCE1)
    jnz loc_3D00_A5D
    inc Counter
    cmp Counter, 100       ; schon 100mal ?
    ja INTTU0_V28_Abbr
    mov TM0, 6        ; Timer register 0 (TM0)
    or TMC0, 80h       ; Timer control register 0 (TM0)
    jmp short INTTU0_V28_End
; 
    nop 

loc_3D00_A5D:
    mov PtRxBuffer, 0
    mov PtTxBuffer, 0
    mov Counter, 0
    mov BFBusMode, 6
    mov TM0, 3Eh       ; Timer register 0 (TM0)
    or TMC0, 80h       ; Timer control register 0 (TM0)
    mov al, RxB1
    cli 
    db 0Fh, 1Ah, 6, 7Ch, 0FFh, 7     ; clr1 byte ptr ds:0FF7Ch, 7
                                     ; Serial error interrupt request
                                     ; control register 1 (SEIC1)
    and SRIC1, 3Fh                   ; Serial reception interrupt request
                                     ; control register 1 (SRIC1)
    sti 
    or SCM1, 0C0h       ; Serial mode register 1 (SCM1)
    jmp short INTTU0_V28_End
; 
    nop 
;
; ################################
; #        Mode 6   #
; ################################
;

BFBusMode_6:
    mov BFBusMode, 1
    jmp near ptr byte_3D00_99D
; 

loc_3D00_A9C:
    and BFBusModeBits, 7Fh
    or BFBusModeBits, 40h
    or byte_FFFF4000_1C10, 1

INTTU0_V28_Abbr:
    and BFBusModeBits, 0D6h
    mov BFBusMode, 5
    db 0Fh, 1Ah, 6, 0, 0E0h, 6    ; clr1 byte ptr ds:0E000h, 6
    mov TM0, 0A0h       ; Timer register 0 (TM0)
    or TMC0, 80h       ; Timer control register 0 (TM0)
    and SCM1, 3Fh       ; Serial mode register 1 (SCM1)

INTTU0_V28_End:
    pop di
    pop si
    pop cx
    pop bx
    pop ax
    pop es
    assume es:nothing
    pop ds
    ; fint
    db 0Fh, 92h        ; fint
    iret 
; 

; ###########################################################################
; #
; #   Sende_zum_BFBus
; #
; ###########################################################################

Sende_zum_BFBus proc far
    nop 
    nop 
    nop 
    nop 
    nop 
    push ds
    push ax
    push bx
    xor ax, ax
    mov ds, ax
    or BFBusModeBits, 80h
    mov bl, BFBusMode
    cmp bl, 6
    jbe loc_3D00_AF2
    jmp short Sende_BFBus_Se5
; 
    nop 

loc_3D00_AF2:
    xor bh, bh
    shl bx, 1
    jmp cs:off_3D00_AFB[bx]
; 
off_3D00_AFB dw offset Sende_BFBus_En2
    dw offset Sende_BFBus_En2
    dw offset Sende_BFBus
    dw offset Sende_BFBus
    dw offset Sende_BFBus_Se5
    dw offset Sende_BFBus_End
    dw offset Sende_BFBus_End
; 

Sende_BFBus_En2:
    jmp short Sende_BFBus_End
; 
    nop 

Sende_BFBus:
    or BFBusModeBits, 8
    mov BFBusMode, 0
    mov TM0, 2Ch       ; Timer register 0 (TM0)
    or TMC0, 80h       ; Timer control register 0 (TM0)
    mov PtTxBuffer, 0
    mov al, TxBuffer.t_sender
    mov TxB1, al       ; Transmit buffer register 1 (TxB1)
    or SCM1, 0C0h       ; Serial mode register 1 (SCM1)
    jmp short Sende_BFBus_End
; 
    nop 

Sende_BFBus_Se5:
    mov BFBusMode, 5
    db 0Fh, 1Ah, 6, 0, 0E0h, 6    ; clr1 byte ptr ds:0E000h, 6
    mov TM0, 0A0h       ; Timer register 0 (TM0)
    or TMC0, 80h       ; Timer control register 0 (TM0)
    and SCM1, 3Fh       ; Serial mode register 1 (SCM1)

Sende_BFBus_End:
    pop bx
    pop ax
    pop ds
    retf 
Sende_zum_BFBus endp
; 
; ###########################################################################
; #
; # SerCh1_Init
; #
; ###########################################################################

SerCh1_Init proc far
    push bp
    mov bp, sp
;    mov byte_FFFF4000_1C33, 0FFh
    mov SCM1, 49h       ; Serial mode register 1 (SCM1)
    mov SCC1, 1        ; Serial control register 1 (SCC1)
    mov BRG1, 34h       ; Baud rate generator register 1 (BRG1)
; ----------------------------------------
; Int-Vektor 16 setzen
; Interrupt from Serial Error of Channel 1
; ----------------------------------------
    mov dx, segFD00
    mov ax, offset INTSER1_V16
    mov bx, 4
    mov es, bx
    assume es:nothing
    mov bx, 0
    mov es:[bx], ax       ; 00040
    mov es:[bx+2], dx       ; 00042
; -------------------------------------------
; Int-Vektor 17 setzen
; Interrupt from Serial Receiver of Channel 1
; -------------------------------------------
    mov dx, segFD00
    mov ax, offset INTSR1_V17
    mov bx, 4
    mov es, bx
    mov es:[bx], ax       ; 00044
    mov es:[bx+2], dx       ; 00046
; ----------------------------------------------
; Int-Vektor 18 setzen
; Interrupt from Serial Transmitter of Channel 1
; ----------------------------------------------
    mov dx, segFD00
    mov ax, offset INTST1_V18
    mov bx, 4
    mov es, bx
    mov bx, 8
    mov es:[bx], ax       ; 00048
    mov es:[bx+2], dx       ; 0004a
; ---------------------------
    mov al, 6
    mov SEIC1, al       ; Serial error interrupt request
                         ; control register 1 (SEIC1)
    mov SRIC1, al       ; Serial reception interrupt request
                         ; control register 1 (SRIC1)
; ---------------------------
; Buffer loeschen
; ---------------------------
;    mov byte_FFFF4000_1CC7, 2
;    mov di, offset AusBuffer
;    mov al, ' '
;    mov cx, 10h
;    push ds
;    pop es
;    assume es:segReg
;    cld
;    repne stosb        ; al -> es:di
;; -------------------------------
;    mov byte_FFFF4000_1CD8, 2
;    mov byte_FFFF4000_1CFA, 6
;    mov di, offset Symbole?
;    mov al, 0
;    mov cx, 7
;    push ds
;    pop es
;    cld
;    repne stosb        ; al -> es:di
;; -------------------------------
;    or Symbole?+3, 20h
;    or Symbole?+4, 1
;    and Symbole?, 0DFh
;    and byte_FFFF4000_1D22, 0FEh
;    push 2
;    push 0
;    call sub_232E_10ED
;    mov al, 1
;    or Symbole?+1, al
;    mov cl, 7
;    mov byte_FFFF4000_1D0A, cl
;    mov dl, byte_FFFF4000_7F1B
;    dec dl
;    shl dl, 4
;    and dl, 0F0h
;    or dl, al
;    mov byte_FFFF4000_1D0B, dl
;    mov byte_FFFF4000_1D1C, cl
;    mov byte_FFFF4000_1D1D, dl
;    mov byte_FFFF4000_1D0E, 8
;    mov cl, 0
;    mov byte_FFFF4000_1D0F, cl
;    mov byte_FFFF4000_1D10, 40h
;    mov byte_FFFF4000_1D11, al
;    mov byte_FFFF4000_1D12, cl
;    mov byte_FFFF4000_1D13, al
;    mov al, byte_FFFF4000_7F4E
;    rol al, 2
;    rcr al, 1
;    jnb loc_2685_113
;    mov byte_FFFF4000_1D14, 10h
;    jmp short loc_2685_118
;; 
;
;loc_2685_113:
;    mov byte_FFFF4000_1D14, 0
;
;loc_2685_118:
;    mov al, 1
;    or byte_FFFF4000_1D0B, al
;    or byte_FFFF4000_1D1D, al
;    mov byte_FFFF4000_1C19, 50h
;    mov byte_FFFF4000_3425, 18h
;    mov cl, SperreAktiv
;    rol cl, 1
;    rcr cl, 1
;    jnb loc_2685_148
;    test SperreAktiv, 3
;    jz loc_2685_148
;    cmp byte_FFFF4000_7F2E, 4
;    jb loc_2685_148
;    or Symbole?, al
;
;loc_2685_148:
;    mov di, offset Buf16Byte
;    mov al, ' '
;    mov cx, 10h
;    push ds
;    pop es
;    cld
;    repne stosb        ; al -> es:di
;; -------------------------------
;    mov di, offset Buf30Byte
;    mov al, ' '
;    mov cx, 1Eh
;    push ds
;    pop es
;    cld
;    repne stosb        ; al -> es:di
;; -------------------------------
;    mov di, offset Buffer2
;    mov al, ' '
;    mov cx, 10h
;    push ds
;    pop es
;    cld
;    repne stosb        ; al -> es:di
;; -------------------------------
;    mov di, offset Buf16Byte_2
;    mov al, ' '
;    mov cx, 10h
;    push ds
;    pop es
;    cld
;    repne stosb        ; al -> es:di
;; -------------------------------
;    mov al, 20h
;    mov Buf16Byte_4, al
;    mov cl, 0
;    mov EndBuffer16B2, cl
;    mov byte_FFFF4000_1D20, 2
;    mov byte_FFFF4000_1D21, 1
;    mov byte_FFFF4000_1D22, cl
;    mov byte_FFFF4000_1D23, cl
;    mov byte_FFFF4000_1D28, 0Dh
;; -------------------------------
;    mov di, offset Buf23Byte
;    mov cx, 17h
;    push ds
;    pop es
;    cld
;    repne stosb        ; al -> es:di
;; -------------------------------
;    mov di, offset Buf4x18Byte
;    mov al, ' '
;    mov cx, 48h
;    push ds
;    pop es
;    cld
;    repne stosb        ; al -> es:di
;; -------------------------------
;    call sub_2CDA_76
;    mov al, byte_FFFF4000_21B4
;    mov byte_FFFF4000_21B1, al
;    mov al, 0
;    mov byte_FFFF4000_21B2, al
;    mov byte_FFFF4000_21B0, al
    pop bp
    retf
SerCh1_Init endp

; ###########################################################################

; -----------------------
; Port 0, Portmode
; P00 bis P07 auf Ausgabe
; -----------------------
; S u b r o u t i n e

Port_0_Init proc near
    mov PM0, 0
    mov byte ptr ds:0FE41h, 0
    mov PMC0, 0  ; PMC0 Port 0 Mode Control Register
    mov byte ptr ds:0FE40h, 0
    mov P0, 1Ah
    retf
Port_0_Init endp


;

; S u b r o u t i n e

Port_1_Init proc near
    mov PM1, 6Fh
    mov byte ptr ds:0FE43h, 6Fh
    mov PMC1, 0
    mov byte ptr ds:0FE42h, 0
    mov P1, 0
    retf
Port_1_Init endp


;

; S u b r o u t i n e

Port_2_Init proc near
    mov PM2, 7Bh
    mov byte ptr ds:0FE45h, 7Bh
    mov PMC2, 1Bh
    mov byte ptr ds:0FE44h, 1Bh
    mov P2, 40h
    mov IO_E002, 0
    mov IO_E003, 3
    retf
Port_2_Init endp


;

; S u b r o u t i n e

Warteschleife proc far
    push cx
    or ax, ax
    jz Warte_ende
    cld

Warte_aussen:
    mov cx, 10h

Warte_innen:
    loop Warte_innen
    dec ax
    jnz Warte_aussen

Warte_ende:
    pop cx
    retf 
Warteschleife endp

; #############################################
; #                                          ##
; #  #####   ######   #####  ######  ######  ##
; #  ##  ##  ##      ##      ##        ##    ##
; #  #####   ####     ####   ####      ##    ##
; #  ##  ##  ##          ##  ##        ##    ##
; #  ##  ##  ######  #####   ######    ##    ##
; #                                          ##
; #############################################

Reset:
    mov ax, 0FFFFh
    mov ds, ax
    mov bx, 0Fh
    mov byte ptr [bx], 0Fh
    mov ax, 0
    mov ds, ax
    assume ds:DATA
    mov es, ax
    assume es:DATA
    mov ax, 0
    mov cx, 10h
    mov di, 0FE40h
    cld 
    rep stosw
    mov ax, 0
    mov ds, ax
    cli 
    mov ax, 0
    cmp word ptr ds:0FEFEh, 0
    jz loc_3D00_275F
    jmp short loc_3D00_276A
;
    nop

loc_3D00_275F:
    mov ax, 0FFFFh
    cmp word ptr ds:0FEFEh, 0FFFFh
    jz byte_3D00_277C

loc_3D00_276A:
    mov ax, 0FD00h
    mov ds:0FEECh, ax
    mov ax, 272Eh
    mov ds:0FEE2h, ax
    mov ax, 7
byte_3D00_2779:
    db 0Fh, 2Dh, 0      ; (V25) brkcs 0 ???
byte_3D00_277C:
    db 0Fh, 92h         ; (V25) fint
    cld 
    mov byte ptr ds:0FFEBh, 4Ch
    mov byte ptr ds:0FFE1h, 0
    mov word ptr ds:0FFE8h, 1
    mov byte ptr ds:0FF40h, 0
    mov byte ptr ds:0FFEAh, 0
    mov byte ptr ds:0FFECh, 47h
    mov byte ptr ds:0FF01h, 0FFh
    mov byte ptr ds:0FF02h, 0
    mov byte ptr ds:0FF09h, 0FFh
    mov byte ptr ds:0FF0Ah, 0
    mov byte ptr ds:0FF11h, 0FFh
    mov byte ptr ds:0FF12h, 0
    mov byte ptr ds:0FF3Bh, 8
    mov byte ptr ds:0FF4Ch, 47h
    mov byte ptr ds:0FF4Dh, 47h
    mov byte ptr ds:0FF4Eh, 47h
    mov byte ptr ds:0FF68h, 0
    mov byte ptr ds:0FF69h, 0
    mov byte ptr ds:0FF6Ah, 0
    mov byte ptr ds:0FF6Bh, 0
    mov byte ptr ds:0FF6Ch, 47h
    mov byte ptr ds:0FF6Dh, 47h
    mov byte ptr ds:0FF6Eh, 47h
    mov byte ptr ds:0FF78h, 0
    mov byte ptr ds:0FF79h, 0
    mov byte ptr ds:0FF7Ah, 0
    mov byte ptr ds:0FF7Bh, 0
    mov byte ptr ds:0FF7Ch, 47h
    mov byte ptr ds:0FF7Dh, 47h
    mov byte ptr ds:0FF7Eh, 47h
    mov byte ptr ds:0FF90h, 0
    mov byte ptr ds:0FF91h, 0
    mov byte ptr ds:0FF9Ch, 47h
    mov byte ptr ds:0FF9Dh, 47h
    mov byte ptr ds:0FF9Eh, 47h
    mov byte ptr ds:0FFA1h, 0
    mov byte ptr ds:0FFA3h, 0
    mov byte ptr ds:0FFACh, 47h
    mov byte ptr ds:0FFADh, 47h
    mov ax, 0
    mov ds, ax
    mov es, ax
    mov ss, ax
    assume ss:DATA
    assume ds:DATA
    assume es:DATA
    mov sp, 0FEC0h
    mov IO_E000, 40h
    mov IO_E00E, 5
    mov IO_E01A, 0
    mov IO_E001, 18h
    mov ax, 0Ah
    call Warteschleife
    db 0Fh, 1Ch, 6, 0, 0E0h, 5
    call far ptr Port_0_Init
    call far ptr Port_1_Init
    call far ptr Port_2_Init
    xor P0, 1
    mov ax, 64h
    call Warteschleife
; ---------------------------
; Int-Vektor 28 setzen
; Interrupt from Timer Unit 0
; ---------------------------
    mov dx, segFD00
    mov ax, offset INTTU0_V28
    mov bx, 7
    mov es, bx
    assume es:nothing
    mov bx, 0
    mov es:[bx], ax       ; 00070
    mov es:[bx+2], dx       ; 00072
; -----------------------------------------------
    mov ax, 0FFFFh
    mov MD0, ax         ; Modulo/timer register 0 (MD0)
    mov cx, 0
    mov TM0, cx         ; Timer register 0 (TM0)
    mov TMC0, 55h       ; Timer control register 0 (TMC0)
                        ; 0101 0101
                        ; |||| ||++- One Shot Mode
                        ; |||| |+--- TOUT active-low
                        ; |||| +---- TOUT inactive
                        ; |||+------ MD0 fCLK/128
                        ; ||+------- MD0 retains and stops
                        ; |+-------- TM0 fCLK/128
                        ; +--------- TM0 retains and stops
    mov TMIC0, 7        ; Timer unit interrupt request
                        ; control register 0 (TMIC0)
                        ; 0000 0111
                        ; ||||  +++- Group 7
                        ; |||+------ no register bank switching
                        ; ||+------- vectored interrupt
                        ; |+-------- not masked
                        ; +--------- no interrupt request
    mov EXIC1, 14h      ; External interrupt request
                        ; control register 1 (EXIC1)
    mov IO_E006, cl
    mov IO_E008, ax
    or IO_E000, 40h       ; BF_BUS High
    mov BFBusMode, 4

    call SerCh1_Init

; ---------------------------
; Int-Vektor 30 setzen
; Interrupt from Timer Unit 2
; ---------------------------
    mov dx, segFD00
    mov ax, offset INTTU2_V30
    mov bx, 7
    mov es, bx
    mov bx, 8
    mov es:[bx], ax     ; 00078
    mov es:[bx+2], dx   ; 0007a
    ; ----------------------------------------------
    mov WATCH, 0        ; Timer Zaehler
    mov TIC, 0          ; Timer Zaehler
    mov HOUR, 0
    mov MIN, 0
    mov SEC, 0

    mov day, 1
    mov mon, 1
    mov year, 1

    mov HSEC, 0
    mov HSEC_ALT, 0ffh

    mov ax, 13bh        ; 10 ms
    mov TM1, ax         ; Timer register 1 (TM1)
    mov MD1, ax         ; Modulo/timer register 1 (MD1)
    mov TMC1, 0C0h      ; Timer control register 1 (TMC1)
    mov TMIC2, 47h      ; Timer unit interrupt request
                        ; control register 2 (TMIC2)
    cli 
    db 0Fh, 1Ah, 6, 9Eh, 0FFh, 6     ; clr1 byte ptr ds:0FF9Eh, 6
                                     ; Timer unit interrupt request
                                     ; control register 2 (TMIC2)
    
    ;and TMIC2, 0bfh
    sti 

    call Meldung

; Buffer loeschen

    call loesche_ausbuffer pascal
;    mov di, offset AusBuffer
;    mov cx, 10h
;    mov al, 20h
;    push ds
;    pop es
;    cld 
;    repne stosb

    mov cx, 0
    mov stellen, 2
    mov TelegrNummer1, 0
    mov TelegrNummer2, 0
    mov TelegrNummer3, 0
    mov CRS_POS, 0
    mov CRS_BUF, 0
    mov ADDR_SEG, 0
    mov ADDR_OFF, offset SEC
    mov ADDR_CH, 0
    mov STERN, '*'
    mov modus, 0
    mov volume, 80h
    mov squelch, 80h
    mov tunestep, 125
    mov temperatur, 0
    mov AD_Wandler_CtrlByte, 0

    call hauptschleife pascal

    and TMC1, 7Fh       ; Timer control register 1 (TMC1)
                        ; Timer aus

    db 0fh, 9eh ; (v25) stop

;Schleife:
;
;; --------------------------
;; Bestaetigung schicken
;; --------------------------
;
;    cmp TelegrNummer1, 0
;    jz Best1_nicht
;
;    call bestaetigung pascal
;    mov TelegrNummer1, 0
;
;    call getTaste pascal, 1
;
;    mov ah, 0
;    call setcursor pascal, ax
;
;    mov HSEC_ALT, 0ffh   ; Ausgabe erzwingen
;
;Best1_nicht:
;
;    cmp TelegrNummer2, 0
;    jz Best2_nicht
;
;    call bestaetigung pascal
;    mov TelegrNummer2, 0
;
;    call getTaste pascal, 2
;    mov HSEC_ALT, 0ffh   ; Ausgabe erzwingen
;
;Best2_nicht:
;
;    cmp TelegrNummer3, 0
;    jz Best3_nicht
;
;    call bestaetigung pascal
;    mov TelegrNummer3, 0
;
;    call getTaste pascal, 3
;    mov HSEC_ALT, 0ffh   ; Ausgabe erzwingen
;
;Best3_nicht:
;
;    mov al, HSEC
;    cmp al, HSEC_ALT
;
;    jz Schleife
;
;    mov HSEC_ALT, al
;
;    mov di, offset AusBuffer
;    mov cx, 10h
;    mov al, 20h
;    push ds
;    pop es
;    cld 
;    repne stosb
;
;    mov dl, HOUR
;    call Bin2BCD
;    mov ah, 0
;    mov al, bl
;    call phn pascal, 1, ax
;
;    mov dl, MIN
;    call Bin2BCD
;    mov ah, 0
;    mov al, bl
;    call phn pascal, 4, ax
;
;    mov dl, SEC
;    call Bin2BCD
;    mov ah, 0
;    mov al, bl
;    call phn pascal, 7, ax
;
;
;    call showaddr pascal
;
;    call showcursor pascal
;
;    call PrintBuffer
;
;    jmp  Schleife
;
;; ###########################################################################
;
;PrintBuffer:
;
;    mov al, BFBusMode
;    cmp al, 2
;    jz PrintWeiter
;    cmp al, 3
;    jz PrintWeiter
;    cmp al, 4
;    jnz PrintBuffer
;
;PrintWeiter:
;    mov TxBuffer.t_sender, 00h
;    mov TxBuffer.t_empf,   1ah
;    mov TxBuffer.t_anzahl, 15h
;    mov TxBuffer.t_data,   02h
;
;    mov si, offset AusBuffer
;    mov di, offset TxBuffer.t_data+1
;    mov cx, 10h
;    push ds
;    pop es
;    cld
;    repne movsb         ; ds:si -> es:di
;
;    mov al, 0
;    mov ah, al            ; Pruefsumme
;    mov bx, 0
;    mov cx, 14h
;
;CXSchleife:
;    mov al, Txbuffer.t_sender[bx]
;    xor ah, al
;    inc bx
;    loop CXSchleife
;
;    mov TxBuffer.t_data+11h, ah
;
;    call Sende_zum_BFBus
;
;    ret

; ###########################################################################

Meldung:
    ; 00 7f 06 0f 01 77
    mov TxBuffer.t_sender, 00h
    mov TxBuffer.t_empf,   7fh
    mov TxBuffer.t_anzahl, 06h
    mov TxBuffer.t_data,   0fh
    mov TxBuffer.t_data+1, 01h
    mov TxBuffer.t_data+2, 77h

    call Sende_zum_BFBus

; auf Meldung vom Bedienteil warten

MeldWart1:
    cmp TelegrNummer1, 0
    jz MeldWart1

    mov TelegrNummer1, 0

; bestaetigen

    call bestaetigung pascal
    
MeldWart2:
    mov al, BFBusMode
    cmp al, 2
    jz MeldWeiter
    cmp al, 3
    jz MeldWeiter
    cmp al, 4
    jnz MeldWart2

MeldWeiter:

    mov	ax, 100h
    call Warteschleife

    ; 00 1a 06 07 71 6a
    mov TxBuffer.t_sender, 00h
    mov TxBuffer.t_empf,   1ah
    mov TxBuffer.t_anzahl, 06h
    mov TxBuffer.t_data,   07h
    mov TxBuffer.t_data+1, 71h
    mov TxBuffer.t_data+2, 6ah

    call Sende_zum_BFBus

MeldWart3:
    mov al, BFBusMode
    cmp al, 2
    jz MeldWeiter3
    cmp al, 3
    jz MeldWeiter3
    cmp al, 4
    jnz MeldWart3

MeldWeiter3:

    mov	ax, 100h
    call Warteschleife

    ; 00 1a 0b 08 00 0e 04 08 03 33 __
    mov TxBuffer.t_sender, 00h
    mov TxBuffer.t_empf,   1ah
    mov TxBuffer.t_anzahl, 0bh
    mov TxBuffer.t_data,   08h
    mov TxBuffer.t_data+1, 00h
    mov TxBuffer.t_data+2, 0eh
    mov TxBuffer.t_data+3, 04h
    mov TxBuffer.t_data+4, 08h
    mov TxBuffer.t_data+5, 03h
    mov TxBuffer.t_data+6, 33h
    mov TxBuffer.t_data+7, 2bh

    call Sende_zum_BFBus

    mov	ax, 100h
    call Warteschleife

    ret

; ###########################################################################

;Bestaetigung:
;
;    mov al, BFBusMode
;    cmp al, 2
;    jz BestWeiter
;    cmp al, 3
;    jz BestWeiter
;    cmp al, 4
;    jnz Bestaetigung
;
;BestWeiter:
;    ; 00 1a 05 10 0f
;    mov TxBuffer.t_sender, 00h
;    mov TxBuffer.t_empf,   1ah
;    mov TxBuffer.t_anzahl, 05h
;    mov TxBuffer.t_data,   10h
;    mov TxBuffer.t_data+1, 0fh
;
;    call Sende_zum_BFBus
;
;    ret

; ###########################################################################
; ---------------------------
; Bin2BCD
;
; in:  dl - Binrzahl
; out: bx - gepackte BCD-Zahl 
;           (bh Hundertertetrade,
;            bl Zehner- und Einertetrade)
; 
; ---------------------------

Bin2BCD:
    push ax
    push cx
    push dx

    mov cx, 8
    xor bx, bx

Bin2BCD_Bin:

    sal dl, 1

    mov al, bl
    adc al, al
    daa
    mov bl, al
    mov al, bh
    adc al, al
    daa
    mov bh, al
    loop Bin2BCD_Bin

    pop dx
    pop cx
    pop ax
    ret

; ###########################################################################
; ---------------------------
; Interrupt from Timer Unit 2
; ---------------------------

INTTU2_V30:
    push ds
    push bx
    xor bx, bx
    mov ds, bx
    assume ds:DATA

; Ticks
    mov bx, TIC
    inc bx
    mov TIC, bx

    cmp TIC, 50
    jnz INTTU2_Weiter1

    mov bl, HSEC
    inc bl
    mov HSEC, bl

INTTU2_Weiter1:
    cmp TIC, 100
    jz INTTU2_TIC
    jmp INTTU2_Weiter

INTTU2_TIC:
    mov TIC, 0

    mov bl, HSEC
    inc bl
    mov HSEC, bl

    mov bl, SEC
    inc bl
    mov SEC, bl

;   Minutensprung ?

    cmp bl, 60
    jz INTTU2_SEC
    jmp INTTU2_Weiter

INTTU2_SEC:
    mov SEC, 0
    mov HSEC, 0
    mov bl, MIN
    inc bl
    mov MIN, bl

;   Stundensprung ?

    cmp bl, 60
    jnz INTTU2_Weiter

;   ja, Stundensprung

    mov MIN, 0
    mov bl, HOUR
    inc bl
    mov HOUR, bl

;   Mitternacht ?

    cmp bl, 24
    jnz INTTU2_Weiter

;   ja, Mitternacht

    mov HOUR, 0
    mov bl, day
    inc bl
    mov day, bl

;   Monatsanfang ?

    cmp bl, 32             ; das ist natuerlich noch nicht _ganz_ korrekt ;-)
    jnz INTTU2_Weiter

;   ja, Monatsanfang

    mov day, 1
    mov bl, mon
    inc bl
    mov mon, bl

;   Jahresanfang ?

    cmp bl, 13
    jnz INTTU2_Weiter

;   ja, Jahresanfang

    mov mon, 1
    mov bl, year
    inc bl
    mov year, bl

;   Jahrhundertanfang ?

    cmp bl, 100
    jnz INTTU2_Weiter

;   ja, Jahrhundertanfang

    mov year, 0

INTTU2_Weiter:

    mov bx, WATCH
    inc bx
    cmp bx, 5
    jnz INTTU2_V30_End

    mov bx, 0
    xor P0, 1

INTTU2_V30_End:

    mov WATCH, bx
    pop bx
    pop ds
    assume ds:nothing
    db 0Fh, 92h       ; fint
    iret
;
    nop
    nop
    nop
    nop
    nop

;

; ###########################################################################
; #
; # Poke
; #
; ###########################################################################

Poke proc far
    push bp
    mov bp, sp

    push ds
    xor ax, ax
    mov ah, ADDR_SEG    ; enthaelt nur das oberste Nibble
    shl ah, 4
    mov ds, ax

    mov bx, ADDR_OFF
    mov al, ADDR_VAL_NEW
    mov byte ptr ds:[bx], al

    pop ds

    pop bp
    retf
Poke endp

; ###########################################################################
; #
; # Peek
; #
; # Wert des bytes an ADDR bestimmen
; #
; ###########################################################################

Peek proc far
    push bp
    mov bp, sp

    push ds
    xor ax, ax
    mov ah, ADDR_SEG    ; enthaelt nur das oberste Nibble
    shl ah, 4
    mov ds, ax

    mov bx, ADDR_OFF
    mov al, byte ptr ds:[bx]
    mov ADDR_VAL, al

    pop ds
    pop bp
    retf
Peek endp

segFD00 ends

; ###########################################################################

ANFANG segment byte public '' use16
assume cs:ANFANG, es:nothing, ss:nothing, ds:nothing

    jmp far ptr Reset

;
    db 0ffh
    db 0ffh
    db 0ffh
    db 0ffh
    db 0ffh
    db 0ffh
    db 0ffh
    db 0ffh
    db 0ffh
    db 0ffh
    db 0ffh

ANFANG ends


end 
