/**********************
 *
 * $RCSfile: c5font.h $
 * $Revision: 1.2 $
 * $Date: 2001/03/22 22:47:49 $
 *
 */
char *font[] = {
    ".....",    /* ' ' */
    ".....",
    ".....",
    ".....",
    ".....",
    ".....",
    ".....",

    "..#..",    /* '!' */
    "..#..",
    "..#..",
    "..#..",
    "..#..",
    ".....",
    "..#..",

    "#.#.#",    /* '"' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '#' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '$' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '%' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '&' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".##..",    /* ''' */
    "..#..",
    ".#...",
    ".....",
    ".....",
    ".....",
    ".....",

    "#.#.#",    /* '(' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ')' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '*' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".....",    /* '+' */
    "..#..",
    "..#..",
    "#####",
    "..#..",
    "..#..",
    ".....",

    "#.#.#",    /* ',' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '-' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".....",    /* '.' */
    ".....",
    ".....",
    ".....",
    ".....",
    ".##..",
    ".##..",

    "#.#.#",    /* '/' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".###.",    /* '0' */
    "#...#",
    "#..##",
    "#.#.#",
    "##..#",
    "#...#",
    ".###.",

    "..#..",    /* '1' */
    ".##..",
    "..#..",
    "..#..",
    "..#..",
    "..#..",
    ".###.",

    ".###.",    /* '2' */
    "#...#",
    "....#",
    "...#.",
    "..#..",
    ".#...",
    "#####",

    "#####",    /* '3' */
    "...#.",
    "..#..",
    "...#.",
    "....#",
    "#...#",
    ".###.",

    "...#.",    /* '4' */
    "..##.",
    ".#.#.",
    "#..#.",
    "#####",
    "...#.",
    "...#.",

    "#####",    /* '5' */
    "#....",
    "####.",
    "....#",
    "....#",
    "#...#",
    ".###.",

    "..##.",    /* '6' */
    ".#...",
    "#....",
    "####.",
    "#...#",
    "#...#",
    ".###.",

    "#####",    /* '7' */
    "....#",
    "...#.",
    "..#..",
    ".#...",
    ".#...",
    ".#...",

    ".###.",    /* '8' */
    "#...#",
    "#...#",
    ".###.",
    "#...#",
    "#...#",
    ".###.",

    ".###.",    /* '9' */
    "#...#",
    "#...#",
    ".####",
    "....#",
    "...#.",
    ".##..",

    ".....",    /* ':' */
    ".##..",
    ".##..",
    ".....",
    ".##..",
    ".##..",
    ".....",

    ".....",    /* ';' */
    ".##..",
    ".##..",
    ".....",
    ".##..",
    "..#..",
    ".#...",

    "...#.",    /* '<' */
    "..#..",
    ".#...",
    "#....",
    ".#...",
    "..#..",
    "...#.",

    "#.#.#",    /* '=' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".#...",    /* '>' */
    "..#..",
    "...#.",
    "....#",
    "...#.",
    "..#..",
    ".#...",

    "#.#.#",    /* '?' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '@' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* 'A' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "####.",    /* 'B' */
    "#...#",
    "#...#",
    "####.",
    "#...#",
    "#...#",
    "####.",

    ".###.",    /* 'C' */
    "#...#",
    "#....",
    "#....",
    "#....",
    "#...#",
    ".###.",

    "###..",    /* 'D' */
    "#..#.",
    "#...#",
    "#...#",
    "#...#",
    "#..#.",
    "###..",

    "#####",    /* 'E' */
    "#....",
    "#....",
    "####.",
    "#....",
    "#....",
    "#####",

    "#####",    /* 'F' */
    "#....",
    "#....",
    "####.",
    "#....",
    "#....",
    "#....",

    "#.#.#",    /* 'G' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* 'H' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* 'I' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* 'J' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* 'K' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#....",    /* 'L' */
    "#....",
    "#....",
    "#....",
    "#....",
    "#....",
    "#####",

    "#...#",    /* 'M' */
    "##.##",
    "#.#.#",
    "#.#.#",
    "#...#",
    "#...#",
    "#...#",

    "#...#",    /* 'N' */
    "#...#",
    "##..#",
    "#.#.#",
    "#..##",
    "#...#",
    "#...#",

    ".###.",    /* 'O' */
    "#...#",
    "#...#",
    "#...#",
    "#...#",
    "#...#",
    ".###.",

    "####.",    /* 'P' */
    "#...#",
    "#...#",
    "####.",
    "#....",
    "#....",
    "#....",

    "#.#.#",    /* 'Q' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "####.",    /* 'R' */
    "#...#",
    "#...#",
    "####.",
    "#.#..",
    "#..#.",
    "#...#",

    ".####",    /* 'S' */
    "#....",
    "#....",
    ".###.",
    "....#",
    "....#",
    "####.",

    "#####",    /* 'T' */
    "..#..",
    "..#..",
    "..#..",
    "..#..",
    "..#..",
    "..#..",

    "#...#",    /* 'U' */
    "#...#",
    "#...#",
    "#...#",
    "#...#",
    "#...#",
    ".###.",

    "#...#",    /* 'V' */
    "#...#",
    "#...#",
    "#...#",
    "#...#",
    ".#.#.",
    "..#..",

    "#...#",    /* 'W' */
    "#...#",
    "#...#",
    "#.#.#",
    "#.#.#",
    "#.#.#",
    ".#.#.",

    "#.#.#",    /* 'X' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* 'Y' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* 'Z' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '[' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '\' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ']' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '^' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '_' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ''' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".....",    /* 'a' */
    ".....",
    ".###.",
    "....#",
    ".####",
    "#...#",
    ".####",

    ".#...",    /* 'b' */
    ".#...",
    ".###.",
    ".#..#",
    ".#..#",
    ".#..#",
    ".###.",

    ".....",    /* 'c' */
    ".....",
    ".###.",
    "#...#",
    "#....",
    "#....",
    ".####",

    "....#",    /* 'd' */
    "....#",
    "..###",
    ".#..#",
    ".#..#",
    ".#..#",
    "..###",

    ".....",    /* 'e' */
    ".....",
    ".###.",
    "#...#",
    "#####",
    "#....",
    ".####",

    "...##",    /* 'f' */
    "..#..",
    ".###.",
    "..#..",
    "..#..",
    "..#..",
    "..#..",

    ".....",    /* 'g' */
    ".....",
    ".####",
    "#...#",
    ".####",
    "....#",
    ".###.",

    ".#...",    /* 'h' */
    ".#...",
    ".###.",
    ".#..#",
    ".#..#",
    ".#..#",
    ".#..#",

    "..#..",    /* 'i' */
    ".....",
    ".##..",
    "..#..",
    "..#..",
    "..#..",
    ".###.",

    "....#",    /* 'j' */
    ".....",
    "...##",
    "....#",
    "....#",
    "#...#",
    ".###.",

    "#.#.#",    /* 'k' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".##..",    /* 'l' */
    "..#..",
    "..#..",
    "..#..",
    "..#..",
    "..#..",
    ".###.",

    ".....",    /* 'm' */
    ".....",
    "##.#.",
    "#.#.#",
    "#.#.#",
    "#.#.#",
    "#.#.#",

    ".....",    /* 'n' */
    ".....",
    ".###.",
    ".#..#",
    ".#..#",
    ".#..#",
    ".#..#",

    ".....",    /* 'o' */
    ".....",
    ".###.",
    "#...#",
    "#...#",
    "#...#",
    ".###.",

    ".....",    /* 'p' */
    ".....",
    "####.",
    "#...#",
    "####.",
    "#....",
    "#....",

    ".....",    /* 'q' */
    ".....",
    ".####",
    "#...#",
    ".####",
    "....#",
    "....#",

    ".....",    /* 'r' */
    ".....",
    ".#.##",
    ".##..",
    ".#...",
    ".#...",
    ".#...",

    "#.#.#",    /* 's' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".....",    /* 't' */
    "..#..",
    ".###.",
    "..#..",
    "..#..",
    "..#..",
    "...##",

    ".....",    /* 'u' */
    ".....",
    ".#..#",
    ".#..#",
    ".#..#",
    ".#..#",
    "..###",

    "#.#.#",    /* 'v' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".....",    /* 'w' */
    ".....",
    "#...#",
    "#...#",
    "#.#.#",
    "#.#.#",
    ".#.#.",

    ".....",    /* 'x' */
    ".....",
    "#...#",
    ".#.#.",
    "..#..",
    ".#.#.",
    "#...#",

    ".....",    /* 'y' */
    ".....",
    ".#..#",
    ".#..#",
    "..###",
    "....#",
    "..##.",

    "#.#.#",    /* 'z' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '{' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '|' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '}' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* '~' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#####",    /* 'DEL' */
    "#####",
    "#####",
    "#####",
    "#####",
    "#####",
    "#####",

    "#.#.#",    /* ' ' 80 */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' 81 */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' 82 */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' 83 */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' 84 */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' 85 */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' 86 */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    ".....",    /* '->' 87 */
    "..#..",
    "...#.",
    "#####",
    "...#.",
    "..#..",
    ".....",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",

    "#.#.#",    /* ' ' */
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#",
    ".#.#.",
    "#.#.#"};

